﻿package {

	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	import flash.events.MouseEvent;
	
	import flash.geom.Matrix; 
    import flash.display.GradientType;

	public class Pointa extends Sprite {
		private var angla:Number = 0;
		private var r1:Number;
		private var r2:Number;
		private var orientationa:Number;
		private var lar:Number = 0;
		private var lon:Number = 0;

		private var lit:Number = 0.4;
		private var big:Number = 1;

		public function Pointa(parent:Sprite):void {
			
			r1 = 50+100;
			r2 = 40+100;

			orientationa = Math.round(1-Math.random()*2);
			if (orientationa==0) {
				orientationa++;
			}
			
			var myMatrix:Matrix = new Matrix();
            myMatrix.createGradientBox(parent.width, parent.height, 0, -parent.width/2, -parent.height/2);
			
			graphics.beginGradientFill(GradientType.RADIAL, [0x000000, 0xff0000, 0x000000], [1, 1, 1], [0, 128, 255], myMatrix);
			
			graphics.drawCircle(parent.mouseX-parent.width/2, parent.mouseY-parent.height/2, 15);
			
			trace(parent.width);
			lar = parent.width/2
			lon = parent.height/2
			
			graphics.endFill();

			addEventListener(Event.ENTER_FRAME, onEnterFrame);
			addEventListener(Event.REMOVED, removedHandler);
		}
		
		private function removedHandler(e:Event):void {
			e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
		}
		
		private function onEnterFrame(e:Event):void {
			
			this.x = lar + Math.cos(Math.PI/180* angla);
			this.y = lon + Math.sin(Math.PI/180* angla);
			
			this.scaleY = Math.cos(Math.PI/180* angla);
			this.scaleX = Math.cos(Math.PI/180* angla);
			
			angla+=1;
		}
	}
}